%define section   devel
%define base_name commons-jexl
%define jakarta_version 1.0

Name:           jakarta-%{base_name}
Version:        %{jakarta_version}
Release:        5jpp_1rh
Epoch:          0
Summary:        Java Expression Language

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/jexl/
Source0:        commons-jexl-1.0-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#Distribution:   JPackage
#Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:   ant >= 0:1.6
BuildRequires:   ant-junit >= 0:1.6
BuildRequires:   junit
BuildRequires:  jakarta-commons-logging
Requires:       jakarta-commons-logging

%description
Jexl is an expression language engine designed for easy embedding in 
applications and frameworks. It implements an extended version of the 
Expression Language of the JSTL.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildRequires:  jakarta-commons-logging-javadoc

%description    javadoc
%{summary}.


%prep
%setup -q -n %{base_name}-%{version}


%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath jakarta-commons-logging-api jakarta-commons-logging )
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only test dist


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{base_name}-%{jakarta_version}-beta-3-SNAPSHOT.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Mon Apr 25 2005 Fernando Nasser <fnasser@redhat.com> - 0:1.0-1jpp_1rh
- First Red Hat build

* Fri Sep 10 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- Upgrade to 1.0-final

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.0.b1-4jpp
- Rebuild with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.b1-3jpp
- Void change

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:1.0.b1-2jpp
- Upgrade to Ant 1.6.X

* Mon Jan 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.b1-1jpp
- First JPackage release.
